V0 - Update organization (internalId)
POST
/
organizations
/
{internalId}
/
V0 - Update organization (internalId)
curl --request POST \
--url https://stage-expense.findity.com/api/admin/organizations/{internalId}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"city": "City",
"country": "Sweden",
"postalCode": "-",
"countryId": "2b9fbaa2630511e18824b0dd45bff075",
"countryCode": "SE",
"street3": null,
"street2": null,
"street1": "Example street"
},
"className": "com.findity.consumer.Company",
"settings": {
"errorMailRecipient": "errormail@ExOrg2.com"
},
"name": "Example organization 2",
"vat": "123456-1234",
"externalSourceId": "1234"
}
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/{internalId}/"
payload = {
"address": {
"city": "City",
"country": "Sweden",
"postalCode": "-",
"countryId": "2b9fbaa2630511e18824b0dd45bff075",
"countryCode": "SE",
"street3": None,
"street2": None,
"street1": "Example street"
},
"className": "com.findity.consumer.Company",
"settings": { "errorMailRecipient": "errormail@ExOrg2.com" },
"name": "Example organization 2",
"vat": "123456-1234",
"externalSourceId": "1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
city: 'City',
country: 'Sweden',
postalCode: '-',
countryId: '2b9fbaa2630511e18824b0dd45bff075',
countryCode: 'SE',
street3: null,
street2: null,
street1: 'Example street'
},
className: 'com.findity.consumer.Company',
settings: {errorMailRecipient: 'errormail@ExOrg2.com'},
name: 'Example organization 2',
vat: '123456-1234',
externalSourceId: '1234'
})
};
fetch('https://stage-expense.findity.com/api/admin/organizations/{internalId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/{internalId}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'address' => [
'city' => 'City',
'country' => 'Sweden',
'postalCode' => '-',
'countryId' => '2b9fbaa2630511e18824b0dd45bff075',
'countryCode' => 'SE',
'street3' => null,
'street2' => null,
'street1' => 'Example street'
],
'className' => 'com.findity.consumer.Company',
'settings' => [
'errorMailRecipient' => 'errormail@ExOrg2.com'
],
'name' => 'Example organization 2',
'vat' => '123456-1234',
'externalSourceId' => '1234'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/{internalId}/"
payload := strings.NewReader("{\n \"address\": {\n \"city\": \"City\",\n \"country\": \"Sweden\",\n \"postalCode\": \"-\",\n \"countryId\": \"2b9fbaa2630511e18824b0dd45bff075\",\n \"countryCode\": \"SE\",\n \"street3\": null,\n \"street2\": null,\n \"street1\": \"Example street\"\n },\n \"className\": \"com.findity.consumer.Company\",\n \"settings\": {\n \"errorMailRecipient\": \"errormail@ExOrg2.com\"\n },\n \"name\": \"Example organization 2\",\n \"vat\": \"123456-1234\",\n \"externalSourceId\": \"1234\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://stage-expense.findity.com/api/admin/organizations/{internalId}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"address\": {\n \"city\": \"City\",\n \"country\": \"Sweden\",\n \"postalCode\": \"-\",\n \"countryId\": \"2b9fbaa2630511e18824b0dd45bff075\",\n \"countryCode\": \"SE\",\n \"street3\": null,\n \"street2\": null,\n \"street1\": \"Example street\"\n },\n \"className\": \"com.findity.consumer.Company\",\n \"settings\": {\n \"errorMailRecipient\": \"errormail@ExOrg2.com\"\n },\n \"name\": \"Example organization 2\",\n \"vat\": \"123456-1234\",\n \"externalSourceId\": \"1234\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/{internalId}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address\": {\n \"city\": \"City\",\n \"country\": \"Sweden\",\n \"postalCode\": \"-\",\n \"countryId\": \"2b9fbaa2630511e18824b0dd45bff075\",\n \"countryCode\": \"SE\",\n \"street3\": null,\n \"street2\": null,\n \"street1\": \"Example street\"\n },\n \"className\": \"com.findity.consumer.Company\",\n \"settings\": {\n \"errorMailRecipient\": \"errormail@ExOrg2.com\"\n },\n \"name\": \"Example organization 2\",\n \"vat\": \"123456-1234\",\n \"externalSourceId\": \"1234\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The internal id of the organization
Body
application/json
Hide child attributes
Hide child attributes
Example:
"City"
Example:
"Sweden"
Example:
"-"
Example:
"2b9fbaa2630511e18824b0dd45bff075"
Example:
"SE"
Example:
"Example street"
Should always be the value com.findity.consumer.Company if used, and is required only if creating an Organization
Example:
"com.findity.consumer.Company"
Example:
"Example organization 2"
Example:
"123456-1234"
The external identifier used to identify this specific Organization. This variable is required if you are creating or updating an Organization
Example:
"1234"
Response
200
Last modified on August 31, 2026
⌘I
V0 - Update organization (internalId)
curl --request POST \
--url https://stage-expense.findity.com/api/admin/organizations/{internalId}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": {
"city": "City",
"country": "Sweden",
"postalCode": "-",
"countryId": "2b9fbaa2630511e18824b0dd45bff075",
"countryCode": "SE",
"street3": null,
"street2": null,
"street1": "Example street"
},
"className": "com.findity.consumer.Company",
"settings": {
"errorMailRecipient": "errormail@ExOrg2.com"
},
"name": "Example organization 2",
"vat": "123456-1234",
"externalSourceId": "1234"
}
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/{internalId}/"
payload = {
"address": {
"city": "City",
"country": "Sweden",
"postalCode": "-",
"countryId": "2b9fbaa2630511e18824b0dd45bff075",
"countryCode": "SE",
"street3": None,
"street2": None,
"street1": "Example street"
},
"className": "com.findity.consumer.Company",
"settings": { "errorMailRecipient": "errormail@ExOrg2.com" },
"name": "Example organization 2",
"vat": "123456-1234",
"externalSourceId": "1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: {
city: 'City',
country: 'Sweden',
postalCode: '-',
countryId: '2b9fbaa2630511e18824b0dd45bff075',
countryCode: 'SE',
street3: null,
street2: null,
street1: 'Example street'
},
className: 'com.findity.consumer.Company',
settings: {errorMailRecipient: 'errormail@ExOrg2.com'},
name: 'Example organization 2',
vat: '123456-1234',
externalSourceId: '1234'
})
};
fetch('https://stage-expense.findity.com/api/admin/organizations/{internalId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/{internalId}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'address' => [
'city' => 'City',
'country' => 'Sweden',
'postalCode' => '-',
'countryId' => '2b9fbaa2630511e18824b0dd45bff075',
'countryCode' => 'SE',
'street3' => null,
'street2' => null,
'street1' => 'Example street'
],
'className' => 'com.findity.consumer.Company',
'settings' => [
'errorMailRecipient' => 'errormail@ExOrg2.com'
],
'name' => 'Example organization 2',
'vat' => '123456-1234',
'externalSourceId' => '1234'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/{internalId}/"
payload := strings.NewReader("{\n \"address\": {\n \"city\": \"City\",\n \"country\": \"Sweden\",\n \"postalCode\": \"-\",\n \"countryId\": \"2b9fbaa2630511e18824b0dd45bff075\",\n \"countryCode\": \"SE\",\n \"street3\": null,\n \"street2\": null,\n \"street1\": \"Example street\"\n },\n \"className\": \"com.findity.consumer.Company\",\n \"settings\": {\n \"errorMailRecipient\": \"errormail@ExOrg2.com\"\n },\n \"name\": \"Example organization 2\",\n \"vat\": \"123456-1234\",\n \"externalSourceId\": \"1234\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://stage-expense.findity.com/api/admin/organizations/{internalId}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"address\": {\n \"city\": \"City\",\n \"country\": \"Sweden\",\n \"postalCode\": \"-\",\n \"countryId\": \"2b9fbaa2630511e18824b0dd45bff075\",\n \"countryCode\": \"SE\",\n \"street3\": null,\n \"street2\": null,\n \"street1\": \"Example street\"\n },\n \"className\": \"com.findity.consumer.Company\",\n \"settings\": {\n \"errorMailRecipient\": \"errormail@ExOrg2.com\"\n },\n \"name\": \"Example organization 2\",\n \"vat\": \"123456-1234\",\n \"externalSourceId\": \"1234\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/{internalId}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"address\": {\n \"city\": \"City\",\n \"country\": \"Sweden\",\n \"postalCode\": \"-\",\n \"countryId\": \"2b9fbaa2630511e18824b0dd45bff075\",\n \"countryCode\": \"SE\",\n \"street3\": null,\n \"street2\": null,\n \"street1\": \"Example street\"\n },\n \"className\": \"com.findity.consumer.Company\",\n \"settings\": {\n \"errorMailRecipient\": \"errormail@ExOrg2.com\"\n },\n \"name\": \"Example organization 2\",\n \"vat\": \"123456-1234\",\n \"externalSourceId\": \"1234\"\n}"
response = http.request(request)
puts response.read_body
